@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap');

:root {
	--dark-blue: #10275f;
	--dark-blue-secondary: #214091;
	--light-blue: #495392;
	--light: #edeeff;
	--brand-color: #f17865;
	--brand-color2: rgb(236, 69, 43);
	--sidebar-width: 240px;
	--font-base: 'Montserrat';
}

html {
	scroll-behavior: smooth;

}

body {
	background: var(--dark-blue);
	color: var(--light);
	font-family: var(--font-base), sans-serif;
}

.heading-2{
	color: var(--brand-color2);
}

.heading{
	color: var(--brand-color);
}

.bg-base{
	background-color: var(--dark-blue-secondary);
}

h1,h2,h3,h4,h5,h6 {
	color: var(--brand-color);
	font-weight: 700;
}

a {
	text-decoration: none;
	color: var(--light-blue);
	transition:  all 0.4s ease;
}

a:hover {
	color: var(--brand-color);
}

img {
	width: 100%;
}

.full-height {
	min-height: 100vh;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	padding-top: 80px;
	padding-bottom: 80px;
	border-bottom: 2px solid rgb(255, 255, 255, 0.1);
}

/*NAVBAR*/
.navbar {
	background-color: var(--dark-blue-secondary);
}

.navbar .nav-link {
	font-weight: 700;
	text-transform: uppercase;
	color: #fff;
}

.navbar .nav-link.active {
	color: var(--brand-color);
}

.navbar .nav-link:hover {
	color: var(--brand-color)
}

.social-custom{
	display: flex;
	flex-direction: row;
	font-size: 3rem;
}
.social-custom a {
	color: #fff;
}

.social-custom a:hover {
	color: var(--brand-color);
}

@media (min-width: 992px) {
	.navbar {
		min-height: 100vh;
		width: var(--sidebar-width);
		background: linear-gradient(rgba(16, 38, 95, 0.7), rgba(16, 38, 95, 0.9)), url(../images/sidebar.jpg);
		background-size: cover;
		background-position: right;
	}
	
	.navbar-brand img {
		border: 8px solid var(--brand-color);
	}
	/* CONTENT WRAPPER */ 
	#content-wrapper {
		padding-left: var(--sidebar-width);
	}
	
}


/* BUTTON */
.btn {
	padding: 12px 28px;
	font-weight: 700;
}

.btn-brand {
	background-color: var(--brand-color);
	border-color: var(--brand-color);
	color: var(--dark-blue);

}

.btn-brand:hover,
.btn-brand:focus {
	background-color: var(--brand-color2);
	color: var(--dark-blue);
	border-color: var(--brand-color2);
}

.link-custom {
	font-weight: 700;
	position: relative;
	color: var(--light);
}

.link-custom::after {
	content: "";
	width: 0%;
	height: 2px;
	background-color: var(--brand-color);
	position: absolute;
	left: 0;
	top: 100%;
	transition: all 0.4s;
}

.link-custom:hover::after {
	width: 100%;
}

/* CARDS */

.iconbox {
	width: 60px;
	height: 60px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-size: 40px;
	background-color: var(--brand-color);
	color: var(--dark-blue-secondary);
}


/*SERVICES*/
.cutoff-lines {
	--max-lines: 5;
	--line-height: 1.4;

	max-height: calc(var(--max-lines) * 1em * var(--line-height));
	line-height: var(--line-height);

	overflow: hidden;
	position: relative;
}

.cutoff-lines:has(+ .expand-btn:not(:checked))::before {
	content: "";
	position: absolute;
	height: calc(1em * var(--line-height));
	width: 100%;
	bottom: 0;
	pointer-events: none;
	background: linear-gradient(to bottom, transparent, var(--dark-blue-secondary));
}

.expand-btn{
	appearance: none;
	border: 1px solid var(--brand-color);
	padding: 0.5em;
	cursor: pointer;
	margin-top: 1rem;
	color: #fff;
}

.expand-btn:hover{
	background-color: var(--brand-color);
}

.expand-btn::before {
	content: "Expand";
}

.expand-btn:checked::before {
	content: "Collapse";
}


.cutoff-lines:has(+ .expand-btn:checked) {
	max-height: none;
}	

/*SERVICES*/
.zoom {
	transition: all 0.2s;}

.zoom:hover {
	transform: scale(1.2);
	box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
}

.zoom:hover .iconbox {
	background-color: var(--light);
}

.zoom-line {
	position: relative;
}

.zoom-line::after{
	content: "";
	position: absolute;
	left: 0;
	bottom: 0;
	height: 7px;
	width: 0%;
	background-color: var(--brand-color);
	transition: all 0.3s;
}

.zoom-line:hover::after {
	width: 100%;
}

.z-index:hover {
	z-index: 100;
}

/* ABOUT ME */

.tools {
	width: 70%;
	object-fit: cover;
	border-radius: 50%;
}

.tools:hover {
	background-color: var(--light);
}

/*  */
.contact-icon {
	font-size: 2rem;
}